%define name gnumeric
%define version 1.0.10
%define release alt4

Name: %name
Summary: A full-featured spreadsheet for GNOME
Serial: 1
Version: %version
Release: %release
License: GPL
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%name/%name-%version.tar.bz2
Source1: %name-48.xpm.bz2
Source2: %name-32.xpm.bz2
Source3: %name-16.xpm.bz2
Source4: %name-48.png.bz2
Source5: gnumeric-1.0.5-doc.tar.bz2
Patch: %name-1.0.5-doc.patch
Url: http://www.gnome.org/gnumeric/
PreReq: oaf >= 0.6.7
Requires: libglade >= 0.16 guile >= 1.3
Requires: gnome-print >= 0.29 gtk+ >= 1.2.7 libole2 >= 0.2.4
Requires: libgda >= 0.2.95 libbonobo >= 1.0.9
Requires: libole2 >= 0.2.4
Requires: libxml >= 1.8.14
# Automatically added by buildreq on Mon Jan 13 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs bonobo docbook-utils esound-devel flex freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel guile imlib-devel indent libGConf-devel libORBit libaudiofile-devel libbonobo-devel libdb1-devel libgal-devel libgda-devel libglade-devel libgnomeprint-devel libole2-devel-static libpopt-devel libwrap-devel libxml-devel libxml2 libxslt oaf-devel perl-devel python-devel scrollkeeper xpm-devel zlib-devel

BuildRequires: gnome-print-devel >= 0.29 libole2-devel >= 0.2.4
BuildRequires: libglade-devel >= 0.16
BuildRequires: libgal-devel >= 0.19
#BuildRequires: libgb-devel >= 0.2.3
BuildRequires: libgda-devel >= 0.2.95
BuildRequires: bonobo >= 1.0.9 oaf >= 0.6.7
#BuildRequires: evolution-devel >= 1.0
BuildRequires: libxml-devel >= 1.8.14
BuildRequires: libole2-devel >= 0.2.4
BuildRequires: python-devel
BuildRequires: gnome-libs-devel >= 1.4.1.4-alt2

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of GUI
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. Gnumeric is a spreadsheet program for GNOME. This
program is intended to be a replacement for a commercial spreadsheet, so quite
a bit of work has gone into the program.

Install gnumeric if you want to use a spreadsheet program with GNOME.

%prep
%setup -q -a 5
#patch -p1
%build
%configure  --without-gb  --with-gda

DISPNUM=0
while [ -f /tmp/.X$DISPNUM-lock -o -e /tmp/.X11-unix/X$DISPNUM ]; do
    DISPNUM=$(($DISPNUM+1))
done
DISPLAY=:$DISPNUM
%_x11bindir/Xvfb $DISPLAY &

export DISPLAY

%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
#ln -s gnumeric-bonobo $RPM_BUILD_ROOT%_bindir/gnumeric
#cp %SOURCE5 $RPM_BUILD_ROOT%_datadir/gnome/apps/Applications
# Menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.xpm" section="Office/Spreadsheets" \
title="Gnumeric" longtitle="A full-featured spreadsheet for Gnome"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%_liconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
bzcat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.xpm
bzcat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT/%_liconsdir/%name.png

# .directory files  convertion
find $RPM_BUILD_ROOT%_datadir/gnome/apps -name '*.desktop' -type f -exec \
 %_bindir/conv_deskfiles.pl {} \; || :


%find_lang %name

%pre
if [ "$DURING_INSTALL" = "" ]; then
	%_bindir/oaf-slay -s ||:
fi

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS BUGS README COPYING TODO HACKING
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/%version-bonobo
%dir %_libdir/%name/%version-bonobo/plugins
%dir %_libdir/%name/%version-bonobo/plugins/*
%_libdir/%name/%version-bonobo/plugins/*/*.xml
%_libdir/%name/%version-bonobo/plugins/*/*.so
%dir %_datadir/%name
%dir %_datadir/%name/%version-bonobo
%dir %_datadir/%name/%version-bonobo/autoformat-templates
%dir %_datadir/%name/%version-bonobo/autoformat-templates/*
%_datadir/%name/%version-bonobo/autoformat-templates/*/*.xml
%_datadir/%name/%version-bonobo/autoformat-templates/*/.category
%_datadir/%name/%version-bonobo/glade
%_datadir/%name/%version-bonobo/gnome
#%_datadir/%name/%version-bonobo/guile
%_datadir/%name/%version-bonobo/python
%_datadir/%name/%version-bonobo/templates
%_datadir/gnome/apps/*/gnumeric.desktop
%_datadir/gnome/help/gnumeric
%_datadir/mc/templates/*
%_datadir/mime-info/*
%_datadir/oaf/*.oaf
%_datadir/pixmaps/*
%_menudir/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%_liconsdir/%name.png

%_libdir/gnumericConf.sh
%_datadir/%name/%version-bonobo/idl
%_libdir/%name/%version-bonobo/plugins/*/*.la

%changelog
* Mon Jan 13 2003 AEN <aen@altlinux.ru> 1:1.0.10-alt4
- Build requirements fixed

* Tue Dec 17 2002 AEN <aen@altlinux.ru> 1:1.0.10-alt3
- Serial: 1 (serious bug in 1.0.11)

* Thu Nov 14 2002 AEN <aen@altlinux.ru> 1.0.10-alt2
- rebuilt with new libgal

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 1.0.10-alt1
- new version
- build w/o evo

* Mon Sep 16 2002 AEN <aen@altlinux.ru> 1.0.9-alt1.1
- built new version for J2.1/HomePC

* Mon Jul 01 2002 AEN <aen@logic.ru> 1.0.8-alt1
- new version

* Tue May 21 2002 AEN <aen@logic.ru> 1.0.6-alt2
- add russian docs

* Mon May 13 2002 AEN <aen@logic.ru> 1.0.6-alt1
- new version

* Tue Mar 12 2002 AEN <aen@logic.ru> 1.0.5-alt1
- new version

* Mon Feb 04 2002 AEN <aen@logic.ru> 1.0.4-alt1
- new version

* Tue Jan 29 2002 AEN <aen@logic.ru> 1.0.3-alt2
- rebuilt with python-2.2

* Tue Jan 22 2002 AEN <aen@logic.ru> 1.0.3-alt1
- new release
- requires: libbonobo >= 1.0.9

* Wed Jan 16 2002 AEN <aen@logic.ru> 1.0.2-alt1
- new release

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.0.1-alt2
- rebuild with gal-0.19

* Tue Jan 08 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Mon Dec 31 2001 AEN <aen@logic.ru> 1.0.0-alt1
- release

* Wed Dec 26 2001 AEN <aen@logic.ru> 0.99.1-alt1
- new version

* Mon Dec 17 2001 AEN <aen@logic.ru> 0.99-alt1
- new version

* Tue Nov 20 2001 AEN <aen@logic.ru> 0.76-alt1
- new version

* Mon Nov 12 2001 AEN <aen@logic.ru> 0.75-alt3
- built with evo support

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.75-alt2
- rebuilt with new gal

* Tue  Nov 06 2001 AEN <aen@logic.ru> 0.75-alt1
- new version

* Tue  Oct 30 2001 AEN <aen@logic.ru> 0.74-alt1
- new version

* Mon  Oct 29 2001 AEN <aen@logic.ru> 0.72-alt1
- new version

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.71-alt1
- new version

* Fri Sep 07 2001 AEN <aen@logic.ru> 0.70-alt3
- remove gnome-core from Requires
* Wed Sep 05 2001 AEN <aen@logic.ru> 0.70-alt2
- rebuild with new gal
- oaf-slay in %pre
* Wed Aug 22 2001 AEN <aen@logic.ru> 0.70-alt1
- new version
* Wed Aug 15 2001 AEN <aen@logic.ru> 0.69-alt2
- rebuild with new libgda
* Mon Aug 13 2001 AEN <aen@logic.ru> 0.69-alt1
- new version
* Thu Aug 09 2001 AEN <aen@logic.ru> 0.68-alt2
- rebuilt with new libgal
* Wed Jul 18 2001 AEN <aen@logic.ru> 0.68-alt1
- new version
- w/o gb
* Mon Jul 9 2001 AEN <aen@logic.ru> 0.67-alt2
- rebuild with libgal-0.9
* Fri Jun 29 2001 AEN <aen@logic.ru> 0.66-alt1
- new version

* Wed May 23 2001 AEN <aen@logic.ru> 0.65-alt2
- rebuild with gb

* Tue May 22 2001 AEN <aen@logic.ru> 0.65-alt1
- new version

* Mon May 21 2001 AEN <aen@logic.ru> 0.64-alt4
- rebuild with libgal-0.8

* Tue May 15 2001 AEN <aen@logic.ru> 0.64-alt3
- rebuild with new gal

* Mon Apr 9 2001 AEN <aen@logic.ru> 0.64-alt2
- cleanup spec

* Sat Apr 7 2001 AEN <aen@logic.ru> 0.64-alt1
- 0.64
- hvv patch

* Tue Mar 13 2001 AEN <aen@logic.ru> 0.63-ipl2mdk
- rebuild in release environment

* Wed Feb 28 2001 AEN <aen@logic.ru> 0.63-ipl1mdk
- 0.63 with new libraries and gnome-db
* Mon Jan 08 2001 AEN <aen@logic.ru>
- 0.61
* Sat Dec 16 2000 AEN <aen@logic.ru>
- rebuild with gal-0.4.1

* Thu Dec 14 2000 AEN <aen@logic.ru>
- 0.60
- adopted for RE

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.58-1mdk
- new and shiny source.
- requires gnome-print >= 0.25
- requires gal >= 0.2.2
- buildrequires gnome-print-devel >= 0.25
- buildrequires gal >= 0.2.2

* Fri Oct 13 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.57-1mdk
- new version (needs gal)
- corrected install and added some files

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.56-4mdk
- added icons
- menu entry in spec file
- packager tag

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.56-3mdk
- BM (help by Damien)
- more macros

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.56-2mdk
- fix URL
- spec simplification through new chmou toys

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 0.56-1mdk
- updated to 0.56

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.54-1mdk
- updated to helix version.

* Sat May 27 2000 dam's <damien@mandrakesoft.com> 0.53-1mdk
- took new version from Helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.52-3mdk
- BuildRequires: gnome-print-devel.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-2mdk
- added a 32x32 icon for a better-looking KDE docking
- removed gnumeric.desktop because we don't need it, we have menu for that
- fixed /usr/share/locale/.. directory owns

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-1mdk
- took srpm from Helix [grrr.. they don't provide changelog, why?]
- add menu entry, with icon
